org.eclipse.aether

## Interface RepositoryListener

- All Known Implementing Classes:
    AbstractRepositoryListener, ChainedRepositoryListener

      public interface RepositoryListener

  A listener being notified of events from the repository system. In general, the system sends events upon termination of an operation like `artifactResolved(RepositoryEvent)` regardless whether it succeeded or failed so listeners need to inspect the event details carefully. Also, the listener may be called from an arbitrary thread. Note: Implementors are strongly advised to inherit from `AbstractRepositoryListener` instead of directly implementing this interface.
  See Also:
    `RepositorySystemSession.getRepositoryListener()`, `TransferListener`
  Restriction:
    This interface is not intended to be extended by clients.
  Restriction:
    This interface is not intended to be implemented by clients.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `artifactDeployed(RepositoryEvent event)` Notifies the listener of an artifact whose upload to a remote repository has been completed, either successfully or not.
    `void` | `artifactDeploying(RepositoryEvent event)` Notifies the listener of an artifact that is about to be uploaded to a remote repository.
    `void` | `artifactDescriptorInvalid(RepositoryEvent event)` Notifies the listener of a syntactically or semantically invalid artifact descriptor.
    `void` | `artifactDescriptorMissing(RepositoryEvent event)` Notifies the listener of a missing artifact descriptor.
    `void` | `artifactDownloaded(RepositoryEvent event)` Notifies the listener of an artifact whose download has been completed, either successfully or not.
    `void` | `artifactDownloading(RepositoryEvent event)` Notifies the listener of an artifact that is about to be downloaded from a remote repository.
    `void` | `artifactInstalled(RepositoryEvent event)` Notifies the listener of an artifact whose installation to the local repository has been completed, either successfully or not.
    `void` | `artifactInstalling(RepositoryEvent event)` Notifies the listener of an artifact that is about to be installed to the local repository.
    `void` | `artifactResolved(RepositoryEvent event)` Notifies the listener of an artifact whose resolution has been completed, either successfully or not.
    `void` | `artifactResolving(RepositoryEvent event)` Notifies the listener of an artifact that is about to be resolved.
    `void` | `metadataDeployed(RepositoryEvent event)` Notifies the listener of some metadata whose upload to a remote repository has been completed, either successfully or not.
    `void` | `metadataDeploying(RepositoryEvent event)` Notifies the listener of some metadata that is about to be uploaded to a remote repository.
    `void` | `metadataDownloaded(RepositoryEvent event)` Notifies the listener of some metadata whose download has been completed, either successfully or not.
    `void` | `metadataDownloading(RepositoryEvent event)` Notifies the listener of some metadata that is about to be downloaded from a remote repository.
    `void` | `metadataInstalled(RepositoryEvent event)` Notifies the listener of some metadata whose installation to the local repository has been completed, either successfully or not.
    `void` | `metadataInstalling(RepositoryEvent event)` Notifies the listener of some metadata that is about to be installed to the local repository.
    `void` | `metadataInvalid(RepositoryEvent event)` Notifies the listener of syntactically or semantically invalid metadata.
    `void` | `metadataResolved(RepositoryEvent event)` Notifies the listener of some metadata whose resolution has been completed, either successfully or not.
    `void` | `metadataResolving(RepositoryEvent event)` Notifies the listener of some metadata that is about to be resolved.

- - ### Method Detail

    - #### artifactDescriptorInvalid

          void artifactDescriptorInvalid(RepositoryEvent event)

      Notifies the listener of a syntactically or semantically invalid artifact descriptor. `RepositoryEvent.getArtifact()` indicates the artifact whose descriptor is invalid and `RepositoryEvent.getExceptions()` carries the encountered errors. Depending on the session's `ArtifactDescriptorPolicy`, the underlying repository operation might abort with an exception or ignore the invalid descriptor.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactDescriptorMissing

          void artifactDescriptorMissing(RepositoryEvent event)

      Notifies the listener of a missing artifact descriptor. `RepositoryEvent.getArtifact()` indicates the artifact whose descriptor is missing. Depending on the session's `ArtifactDescriptorPolicy`, the underlying repository operation might abort with an exception or ignore the missing descriptor.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataInvalid

          void metadataInvalid(RepositoryEvent event)

      Notifies the listener of syntactically or semantically invalid metadata. `RepositoryEvent.getMetadata()` indicates the invalid metadata and `RepositoryEvent.getExceptions()` carries the encountered errors. The underlying repository operation might still succeed, depending on whether the metadata in question is actually needed to carry out the resolution process.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactResolving

          void artifactResolving(RepositoryEvent event)

      Notifies the listener of an artifact that is about to be resolved. `RepositoryEvent.getArtifact()` denotes the artifact in question. Unlike the `artifactDownloading(RepositoryEvent)` event, this event is fired regardless whether the artifact already exists locally or not.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactResolved

          void artifactResolved(RepositoryEvent event)

      Notifies the listener of an artifact whose resolution has been completed, either successfully or not. `RepositoryEvent.getArtifact()` denotes the artifact in question and `RepositoryEvent.getExceptions()` indicates whether the resolution succeeded or failed. Unlike the `artifactDownloaded(RepositoryEvent)` event, this event is fired regardless whether the artifact already exists locally or not.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataResolving

          void metadataResolving(RepositoryEvent event)

      Notifies the listener of some metadata that is about to be resolved. `RepositoryEvent.getMetadata()` denotes the metadata in question. Unlike the `metadataDownloading(RepositoryEvent)` event, this event is fired regardless whether the metadata already exists locally or not.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataResolved

          void metadataResolved(RepositoryEvent event)

      Notifies the listener of some metadata whose resolution has been completed, either successfully or not. `RepositoryEvent.getMetadata()` denotes the metadata in question and `RepositoryEvent.getExceptions()` indicates whether the resolution succeeded or failed. Unlike the `metadataDownloaded(RepositoryEvent)` event, this event is fired regardless whether the metadata already exists locally or not.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactDownloading

          void artifactDownloading(RepositoryEvent event)

      Notifies the listener of an artifact that is about to be downloaded from a remote repository. `RepositoryEvent.getArtifact()` denotes the artifact in question and `RepositoryEvent.getRepository()` the source repository. Unlike the `artifactResolving(RepositoryEvent)` event, this event is only fired when the artifact does not already exist locally.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactDownloaded

          void artifactDownloaded(RepositoryEvent event)

      Notifies the listener of an artifact whose download has been completed, either successfully or not. `RepositoryEvent.getArtifact()` denotes the artifact in question and `RepositoryEvent.getExceptions()` indicates whether the download succeeded or failed. Unlike the `artifactResolved(RepositoryEvent)` event, this event is only fired when the artifact does not already exist locally.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataDownloading

          void metadataDownloading(RepositoryEvent event)

      Notifies the listener of some metadata that is about to be downloaded from a remote repository. `RepositoryEvent.getMetadata()` denotes the metadata in question and `RepositoryEvent.getRepository()` the source repository. Unlike the `metadataResolving(RepositoryEvent)` event, this event is only fired when the metadata does not already exist locally.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataDownloaded

          void metadataDownloaded(RepositoryEvent event)

      Notifies the listener of some metadata whose download has been completed, either successfully or not. `RepositoryEvent.getMetadata()` denotes the metadata in question and `RepositoryEvent.getExceptions()` indicates whether the download succeeded or failed. Unlike the `metadataResolved(RepositoryEvent)` event, this event is only fired when the metadata does not already exist locally.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactInstalling

          void artifactInstalling(RepositoryEvent event)

      Notifies the listener of an artifact that is about to be installed to the local repository. `RepositoryEvent.getArtifact()` denotes the artifact in question.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactInstalled

          void artifactInstalled(RepositoryEvent event)

      Notifies the listener of an artifact whose installation to the local repository has been completed, either successfully or not. `RepositoryEvent.getArtifact()` denotes the artifact in question and `RepositoryEvent.getExceptions()` indicates whether the installation succeeded or failed.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataInstalling

          void metadataInstalling(RepositoryEvent event)

      Notifies the listener of some metadata that is about to be installed to the local repository. `RepositoryEvent.getMetadata()` denotes the metadata in question.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataInstalled

          void metadataInstalled(RepositoryEvent event)

      Notifies the listener of some metadata whose installation to the local repository has been completed, either successfully or not. `RepositoryEvent.getMetadata()` denotes the metadata in question and `RepositoryEvent.getExceptions()` indicates whether the installation succeeded or failed.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactDeploying

          void artifactDeploying(RepositoryEvent event)

      Notifies the listener of an artifact that is about to be uploaded to a remote repository. `RepositoryEvent.getArtifact()` denotes the artifact in question and `RepositoryEvent.getRepository()` the destination repository.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### artifactDeployed

          void artifactDeployed(RepositoryEvent event)

      Notifies the listener of an artifact whose upload to a remote repository has been completed, either successfully or not. `RepositoryEvent.getArtifact()` denotes the artifact in question and `RepositoryEvent.getExceptions()` indicates whether the upload succeeded or failed.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataDeploying

          void metadataDeploying(RepositoryEvent event)

      Notifies the listener of some metadata that is about to be uploaded to a remote repository. `RepositoryEvent.getMetadata()` denotes the metadata in question and `RepositoryEvent.getRepository()` the destination repository.
      Parameters:
        `event` - The event details, must not be `null`.

    - #### metadataDeployed

          void metadataDeployed(RepositoryEvent event)

      Notifies the listener of some metadata whose upload to a remote repository has been completed, either successfully or not. `RepositoryEvent.getMetadata()` denotes the metadata in question and `RepositoryEvent.getExceptions()` indicates whether the upload succeeded or failed.
      Parameters:
        `event` - The event details, must not be `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.